function frSegment = initFrSegment(spLabels, spFeature, partLabel, spConf)

global opts

% initialize frame segment
frSegment = cell(1, opts.lenSegment); % length of frame segment 
frSegment{opts.lenSegment}.spFeature = spFeature;
frSegment{opts.lenSegment}.spLabels = spLabels; 
frSegment{opts.lenSegment}.foreNodes = partLabel;  
frSegment{opts.lenSegment}.foreVal = numel(partLabel);
frSegment{opts.lenSegment}.spConf = spConf;
opts.numInitTargetParts = numel(partLabel);

% full the frame segment
frSegment = fullBuffer(frSegment);