function segments = calcSp(im, regionSize, regularizer)
%% Create SLIC segmentation
im = im2single(uint8(im)) ;
if(size(im,3)==1)
    for i = 1:3
        im(:,:,i) = im(:,:,1) ;
    end
end
segments = vl_slic(im, regionSize, regularizer) ;
% overaly segmentation
% [sx, sy] = vl_grad(double(segments), 'type', 'forward') ;
% s = find(sx | sy) ;
% imp = im ;
% imp([s s+numel(im(:,:,1)) s+2*numel(im(:,:,1))]) = 1;
% imp([s s+numel(im(:,:,2)) s+2*numel(im(:,:,2))]) = 0;
% imp([s s+numel(im(:,:,3)) s+2*numel(im(:,:,3))]) = 0;
% figure(4),imshow(imp,[]);